API ReferenceWork Steps
Get Work Steps
List work steps.
Authorization
bearerAuth user, superuser, admin, superadmin, readonlyAuthorization<token>
In: header
Scope: user, superuser, admin, superadmin, readonly
Query Parameters
machineId?array<>
The machine's ID.
operatorId?number
The operator's ID.
Format
doublestart?string
The start of the date range to filter by.
Format
date-timeend?string
The end of the date range to filter by.
Format
date-timeonlyCurrentShifts?boolean
Whether to only include current shifts.
Response Body
application/json
Try it live
curl -X GET "https://example.com/work-steps"[ { "rawMaterials": [ { "productionAdvancementId": "string", "companyId": 0.1, "name": "string", "id": "string" } ], "defectReason": "string", "idealSpeedByHour": 0, "skuUnit": "string", "skuName": "string", "skuDescription": "string", "sku": "string", "skuId": "string", "work": "string", "workOrderStatus": "string", "workOrderId": "string", "operatorLastName": "string", "operatorFullName": "string", "operatorFirstName": "string", "machineName": "string" }]